aboutsummaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
Diffstat (limited to 'contrib')
-rw-r--r--contrib/ChangeLog4
-rwxr-xr-xcontrib/check_GNU_style.sh4
2 files changed, 8 insertions, 0 deletions
diff --git a/contrib/ChangeLog b/contrib/ChangeLog
index 9e619d0..6e4cab4 100644
--- a/contrib/ChangeLog
+++ b/contrib/ChangeLog
@@ -1,3 +1,7 @@
+2012-10-02 Christophe Lyon <christophe.lyon@linaro.org>
+
+ * check_GNU_style.sh: Remove temporay file upon exit.
+
2012-09-26 Joern Rennecke <joern.rennecke@embecosm.com>
* contrib-list.mk (LIST): Remove arm-freebsd6, arm-linux,
diff --git a/contrib/check_GNU_style.sh b/contrib/check_GNU_style.sh
index 8fb579f..b7f1c9d 100755
--- a/contrib/check_GNU_style.sh
+++ b/contrib/check_GNU_style.sh
@@ -37,6 +37,10 @@ test $# -eq 0 && usage
tmp=check_GNU_style.tmp
+# Remove $tmp on exit and various signals.
+trap "rm -f $tmp" 0
+trap "rm -f $tmp ; exit 1" 1 2 3 5 9 13 15
+
# Grep
g (){
msg="$1"